/**
 * Lemonade JS
 * https://lemonadejs.com
 *
 * ----
 *
 * config.js
 */
exports = module.exports = {
    /**
     * Configuration constants
     */
    config : {
          project : 'Lemonade demo project'
        , logpath : './logs/'
    }
    /**
     * Boot modules
     */
    ,boot : {
        /**
         * Mysql example configuration with master / slave
         */
         storage : [
             'mysql'
             , /* master    */ { host : '', user : '', pass : '', port : '' }
             , /* slave     */ { host : '', user : '', pass : '', port : '' }
             , /* defaultdb */ ''
         ]
        /**
		 * Cassandra example configuration
		 */
		,cassandra : [
			'cassandra'
			, /* hosts */            { hosts: [''], user : '', pass : ''}
			, /* default keyspace */ ''
		]
		/**
         * Rabbit mq configuration example
         */
         ,queue : [ 'rabbit' , { host : '' } ]
        /**
         * Solr configuration example
         */
        ,search : [
            'solr'
            , /* master      */ { host : '', port : '' }
            , /* slave       */ { host : '', port : '' }
            , /* defaultcore */ ''
        ]
    }
    /**
     * Run modules
     */
    ,run : {
        /**
         * Start the httpd server on the specified port
         */
        webserver : [ 'httpd', 1937 ]
        /**
         * Spin some crontabs
         */
        , crontab : 'spinner'
    }
    /**
     * Methods to run on lemonade exit
     */
    ,shutdown : { }
};