/******************************************************************************
 * Lemonade JS
 * https://lemonadejs.com
 *
 * ----
 *
 * Dummy link loader
 *
 *****************************************************************************/

exports = module.exports = {

    /**
     * The kernel link. Should return the object the link is
     * created for.
     *
     * Ex : in config.js you link 'foo' : 'dummy' in runlevel
     * boot or run and then you can access in any module
     * this.kernel.foo and receive the dummy object
     */
    link : function() {
        return {};
    }

    /**
     * When the link is attached to the kernel, it is
     * initialized using the load method
     * @param {function} cb
     */
    ,load : function(cb) {
        cb(null, 'dummy link loaded');
    }

    /**
     * When the kernel goes into runlevel shutdown it will try
     * to gracefully unload all links by calling the respective
     * unload method on each
     *
     * Optional
     */
    ,unload : function(cb) {
        cb(null, 'dummy link unloaded');
    }

    /**
     * Method used when the kernel gathers statuses from all
     * loaded links
     *
     * Optional
     */
    ,status : function() {
        return {};
    }

};
