#!/usr/bin/env node

var fs   = require('fs')
    exec = require('child_process').exec
    cwd  = process.cwd()
    path = require('path');

if (process.argv[2] === 'install') {
    exec(
        'cp -rv ' + __dirname + '/../app/* ' + cwd,
        function (error, stdout, stderr) {
            if (!error) {
                console.log('Install completed');
            } else {
                console.log(error);
            }
        }
    );
} else {

    if (fs.existsSync(cwd + '/' + process.argv[2])) {
        var options = require(cwd + '/' + process.argv[2]);
        process.chdir(path.dirname(process.argv[2]));
    } else {
        console.log('Missing options file');
        process.exit(1);
    }

    var kernel = require('../kernel/kernel.js');
    new kernel(
         options.config
        ,options.boot
        ,options.run
        ,options.shutdown
    );
}